Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Error in spec_helper #585

Closed
clemenshelm opened this Issue Jan 3, 2012 · 3 comments

Comments

Projects
None yet
3 participants

After forking & cloning the repo and running bundle && rake as described in CONTRIBUTING.md I’m running into the following error:

/Users/clemens/projects/capybara-webkit/spec/spec_helper.rb:18:in `join': can't convert nil into String (TypeError)
    from /Users/clemens/projects/capybara-webkit/spec/spec_helper.rb:18:in `<top (required)>'
    from /Users/clemens/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:55:in `require'
    from /Users/clemens/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:55:in `require'
    from /Users/clemens/projects/capybara-webkit/spec/browser_spec.rb:1:in `<top (required)>'
    from /Users/clemens/.rvm/gems/ruby-1.9.2-p290/gems/rspec-core-2.7.1/lib/rspec/core/configuration.rb:459:in `load'
    from /Users/clemens/.rvm/gems/ruby-1.9.2-p290/gems/rspec-core-2.7.1/lib/rspec/core/configuration.rb:459:in `block in load_spec_files'
    from /Users/clemens/.rvm/gems/ruby-1.9.2-p290/gems/rspec-core-2.7.1/lib/rspec/core/configuration.rb:459:in `map'
    from /Users/clemens/.rvm/gems/ruby-1.9.2-p290/gems/rspec-core-2.7.1/lib/rspec/core/configuration.rb:459:in `load_spec_files'
    from /Users/clemens/.rvm/gems/ruby-1.9.2-p290/gems/rspec-core-2.7.1/lib/rspec/core/command_line.rb:18:in `run'
    from /Users/clemens/.rvm/gems/ruby-1.9.2-p290/gems/rspec-core-2.7.1/lib/rspec/core/runner.rb:80:in `run_in_process'
    from /Users/clemens/.rvm/gems/ruby-1.9.2-p290/gems/rspec-core-2.7.1/lib/rspec/core/runner.rb:69:in `run'
    from /Users/clemens/.rvm/gems/ruby-1.9.2-p290/gems/rspec-core-2.7.1/lib/rspec/core/runner.rb:10:in `block in autorun'

It looks like spec_helper.rb also requires capybara’s spec_helper.rb which isn’t there. How can I resolve this?

Collaborator

jnicklas commented Jan 3, 2012

Did you mean to file this for capybara-webkit? They have their own issue tracker.

Collaborator

joliss commented Jan 3, 2012

What Jonas said.

For what it's worth, I have a hunch that you might need to run bundle exec rake instead of rake. Does that help?

@clemenshelm clemenshelm closed this Jan 3, 2012

@jnicklas Yes, you are right. I had a tab of both projects open and confused it.

@joliss Thanks, that did the trick!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment